import Component from '@glimmer/component';
import { action } from '@ember/object';
import { tracked } from '@glimmer/tracking';
import { inject as service } from '@ember/service';

export default class ProduktController extends Component {
    @tracked isLarge = false;
    @tracked isSelected;
    
    @service store;

    @action toggleSize()
    {
        this.isLarge = !this.isLarge;
    }

    @action toggleSelection(produktname)
    {
        this.isSelected = !this.isSelected;
        this.setStatus(produktname, this.isSelected);
    }

    @action getStatus(produktname)
    {
        //sucht Produkt im Store
        this.store.findAll('produkt')
            .then(function(suchergebnis) 
            {
                suchergebnis.forEach(element => {
                    if(element.titel==produktname)
                    {
                        this.isSelected = element.isSelected;                    
                    }                    
                });

                if(!this.exists)
                {
                    this.isSelected = false;
                }
            });
    }
 
    setStatus(produktname, selection)
    {
        //schreibt den aktuellen Zustand in den Store
        this.store.findAll('produkt')
            .then(function(suchergebnis)
        {
            suchergebnis.forEach(element => {
                if(element.titel==produktname)
                {
                    element.isSelected = selection;
                    element.save(); 
                    this.store.updateRelationships();               
                }                    
            });
        });
    } 
}
